Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5099)
@@ -8,5 +8,5 @@
 !*******************************************************************
       SUBROUTINE STRACOMP_KELVIN(sh,t_seri,pplay)
-!
+
 !     Aerosol H2SO4 weight fraction as a function of PH2O and temperature
 !     INPUT:
@@ -14,5 +14,5 @@
 !     t_seri: temperature (K)
 !     pplay: middle layer pression (Pa)
-!
+
 !     Modified in modules:
 !     R2SO4: aerosol H2SO4 weight fraction (percent)
@@ -115,5 +115,5 @@
 !            aerosol density (gr/cm3) = f(T,h2so4 mass fraction)
              denso4ik=density(temp,wpp)
-!           
+
 !            recalculate Kelvin factor with surface tension and radwet 
 !                              with new R2SO4B and DENSO4B
@@ -134,5 +134,5 @@
              f_r_wetB(ilon,ilev,IK) = (dens_aer_dry/(DENSO4B(ilon,ilev,IK)*1.e3)/ & 
       (R2SO4B(ilon,ilev,IK)*1.e-2))**third
-!
+
 !             print*,'R,Rwet(m),kelvin,h2so4(%),ro=',RRSI(ik),radwet,fkelvin, &
 !              &  R2SO4B(ilon,ilev,IK),DENSO4B(ilon,ilev,IK)
@@ -160,5 +160,5 @@
 !   klev: number of altitude bands in the model domain
 !   for IFS: perhaps add another dimension for longitude
-!
+
 !   OUTPUT: 
 !   R2SO4: aerosol H2SO4 weight fraction (percent)
@@ -175,5 +175,5 @@
      
     REAL PMB(klon,klev), H2O(klon,klev)
-!
+
 !   working variables
     INTEGER I,J,K
@@ -187,5 +187,5 @@
     REAL YC(M)
     REAL XC1, XC16, YC1, YC28
-!
+
     SAVE INSTEP,F,XC,YC,XC1,XC16,YC1,YC28
 !$OMP THREADPRIVATE(INSTEP,F,XC,YC,XC1,XC16,YC1,YC28)
@@ -216,5 +216,5 @@
        XC(15)=30.0
        XC(16)=100.0
-!
+
        YC(1)=175.0
        DO I=2,28
@@ -226,5 +226,5 @@
          XC(I)=XC(I)*1.0E-4
        ENDDO
-!
+
        XC1=XC(1)+1.E-10
        XC16=XC(16)-1.E-8
@@ -247,5 +247,5 @@
        F(6,17)=86.79
        F(6,18)=88.32
-!
+
 !      ADD FACTOR  BECAUSE THE SLOP IS TOO IMPORTANT
 !      NOT FOR THIS ONE BUT THE REST
@@ -256,5 +256,5 @@
        F(6,2)=A*YC(2) + B
        F(6,3)=A*YC(3) + B
-!
+
        F(7,4)=37.02
        F(7,5)=49.46
@@ -272,5 +272,5 @@
        F(7,17)=85.85
        F(7,18)=87.33
-!
+
        A=(F(7,5)-F(7,4))/( (YC(5)-YC(4))*2.0)
        B=-A*YC(4) + F(7,4)
@@ -278,5 +278,5 @@
        F(7,2)=A*YC(2) + B
        F(7,3)=A*YC(3) + B
-!
+
        F(8,4)=25.85
        F(8,5)=42.26
@@ -294,5 +294,5 @@
        F(8,17)=84.67
        F(8,18)=86.10
-!
+
        A=(F(8,5)-F(8,4))/( (YC(5)-YC(4))*2.5 )
        B=-A*YC(4) + F(8,4)
@@ -300,5 +300,5 @@
        F(8,2)=A*YC(2) + B
        F(8,3)=A*YC(3) + B
-!
+
        F(9,4)=15.38
        F(9,5)=39.35
@@ -316,5 +316,5 @@
        F(9,17)=84.25
        F(9,18)=85.66
-!
+
        A=(F(9,5)-F(9,4))/( (YC(5)-YC(4))*7.0)
        B=-A*YC(4) + F(9,4)
@@ -322,5 +322,5 @@
        F(9,2)=A*YC(2) + B
        F(9,3)=A*YC(3) + B
-!
+
        F(10,4)=0.0
        F(10,5)=34.02
@@ -338,5 +338,5 @@
        F(10,17)=83.57
        F(10,18)=84.97
-!
+
        A=(F(10,6)-F(10,5))/( (YC(6)-YC(5))*1.5)
        B=-A*YC(5) + F(10,5)
@@ -345,5 +345,5 @@
        F(10,3)=A*YC(3) + B
        F(10,4)=A*YC(4) + B
-!
+
        F(11,4)=0.0
        F(11,5)=29.02
@@ -361,5 +361,5 @@
        F(11,17)=83.03
        F(11,18)=84.44
-!
+
        A=(F(11,6)-F(11,5))/( (YC(6)-YC(5))*2.5 )
        B=-A*YC(5) + F(11,5)
@@ -368,5 +368,5 @@
        F(11,3)=A*YC(3) + B
        F(11,4)=A*YC(4) + B
-!
+
        F(12,4)=0.0
        F(12,5)=23.13
@@ -384,5 +384,5 @@
        F(12,17)=82.58
        F(12,18)=83.99
-!
+
        A=(F(12,6)-F(12,5))/( (YC(6)-YC(5))*3.5 )
        B=-A*YC(5) + F(12,5)
@@ -391,5 +391,5 @@
        F(12,3)=A*YC(3) + B
        F(12,4)=A*YC(4) + B
-!
+
        F(13,4)=0.0
        F(13,5)=0.0
@@ -407,5 +407,5 @@
        F(13,17)=82.02
        F(13,18)=83.44
-!
+
        A=(F(13,7)-F(13,6))/( (YC(7)-YC(6))*2.0)
        B=-A*YC(6) + F(13,6)
@@ -415,5 +415,5 @@
        F(13,4)=A*YC(4) + B
        F(13,5)=A*YC(5) + B
-!
+
        F(14,4)=0.0
        F(14,5)=0.0
@@ -431,5 +431,5 @@
        F(14,17)=81.26
        F(14,18)=82.72
-!
+
        A=(F(14,7)-F(14,6))/( (YC(7)-YC(6))*2.5 )
        B=-A*YC(6) + F(14,6)
@@ -439,5 +439,5 @@
        F(14,4)=A*YC(4) + B
        F(14,5)=A*YC(5) + B
-!
+
        F(15,4)=0.0
        F(15,5)=0.0
@@ -455,5 +455,5 @@
        F(15,17)=80.12
        F(15,18)=81.64
-!
+
        A=(F(15,8)-F(15,7))/( (YC(8)-YC(7))*1.5)
        B=-A*YC(7) + F(15,7)
@@ -546,5 +546,5 @@
 !   klev: number of altitude bands in the model domain
 !   for IFS: perhaps add another dimension for longitude
-!
+
 !   OUTPUT: 
 !   ACTSO4: H2SO4 activity (percent)
@@ -624,5 +624,5 @@
 !   VERY ROUGH APPROXIMATION (SEE FOR WATER IN HANDBOOK
 !   LINEAR 2% FOR 30 DEGREES with RESPECT TO WATER)
-!   
+
 !   INPUT: 
 !   R2SO4: aerosol H2SO4 weight fraction (percent)
@@ -631,8 +631,8 @@
 !   klev: number of altitude bands in the model domain
 !   for IFS: perhaps add another dimension for longitude
-!
+
 !   OUTPUT: 
 !   DENSO4: aerosol mass density (gr/cm3 = aerosol mass/aerosol volume)
-!   
+
     USE dimphy, ONLY : klon,klev
     USE phys_local_var_mod, ONLY: R2SO4, DENSO4
@@ -657,5 +657,5 @@
 !***********************************************************
     SUBROUTINE FIND(X,Y,XC,YC,F,VAL,N,M)
-!
+
 !   BI-LINEAR INTERPOLATION
 
@@ -666,5 +666,5 @@
 !   YC: Table temperature (K)
 !   F: Table aerosol H2SO4 weight fraction=f(XC,YC) (percent)
-!
+
 !   OUTPUT: 
 !   VAL: aerosol H2SO4 weight fraction (percent)
@@ -674,5 +674,5 @@
     INTEGER N,M
     REAL X,Y,XC(N),YC(M),F(N,M),VAL
-!
+
 !   working variables
     INTEGER  IERX,IERY,JX,JY,JXP1,JYP1
@@ -768,5 +768,5 @@
       real function psh2so4(T) result(psh2so4_out)
 !     equilibrium H2SO4 pressure over pure H2SO4 solution (Pa)
-!
+
 !---->Ayers et.al. (1980), GRL (7) pp 433-436
 !     plus corrections for lower temperatures by Kulmala and Laaksonen (1990)
@@ -810,5 +810,5 @@
      real function psh2o(T) result(psh2o_out)
 !     equilibrium H2O pressure over pure liquid water (Pa)
-!
+
       implicit none
       real, intent(in) :: T
@@ -930,15 +930,15 @@
 !     as a function of temperature and  H2O pressure, using
 !     the parameterization of Tabazadeh et al., GRL, p1931, 1997.
-!
+
 !   Parameters
-!
+
 !    input:
 !      T.....temperature (K)
 !      pph2o..... amhbiant 2o pressure (Pa)
-!
+
 !    output:
 !      wph2so4......sulfuric acid composition (weight percent wt % h2so4)
 !                     = h2so4 mass fraction*100.
-!
+
       implicit none
       real, intent(in) :: pph2o, T 
@@ -1059,4 +1059,4 @@
        return
      end function rmvh2o
-!
+
 END MODULE sulfate_aer_mod
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/traccoag_mod.F90	(revision 5099)
@@ -1,7 +1,7 @@
 MODULE traccoag_mod
-!
+
 ! This module calculates the concentration of aerosol particles in certain size bins
 ! considering coagulation and sedimentation.
-!
+
 CONTAINS
 
@@ -190,5 +190,5 @@
        
     CASE(2) ! stratospheric aerosol injections (SAI)
-!
+
      ! Computing duration of SAI in days...
      ! ... starting from 0...
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/YOECUMF.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/YOECUMF.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/YOECUMF.h	(revision 5099)
@@ -1,14 +1,14 @@
-!
+
 ! $Id$
-!
+
 !  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
 !                 veillez n'utiliser que des ! pour les commentaires
 !                 et bien positionner les & des lignes de continuation
 !                 (les placer en colonne 6 et en colonne 73)
-!
+
 !     ----------------------------------------------------------------
 !*    *COMMON* *YOECUMF* - PARAMETERS FOR CUMULUS MASSFLUX SCHEME
 !     ----------------------------------------------------------------
-!
+
       COMMON /YOECUMF/                                                  &
      &                 ENTRPEN,ENTRSCV,ENTRMID,ENTRDD,CMFCTOP,          &
@@ -21,13 +21,13 @@
       REAL CMFCTOP, CMFCMAX, CMFCMIN, CMFDEPS, RHCDD, CPRCON
 !$OMP THREADPRIVATE(/YOECUMF/)
-!
+
 !*if (DOC,declared) <> 'UNKNOWN'
 !*    *COMMON* *YOECUMF* - PARAMETERS FOR CUMULUS MASSFLUX SCHEME
-!
+
 !     M.TIEDTKE       E. C. M. W. F.      18/1/89
-!
+
 !     NAME      TYPE      PURPOSE
 !     ----      ----      -------
-!
+
 !     LMFPEN    LOGICAL  TRUE IF PENETRATIVE CONVECTION IS SWITCHED ON
 !     LMFSCV    LOGICAL  TRUE IF SHALLOW     CONVECTION IS SWITCHED ON
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/YOEGWD.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/YOEGWD.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/YOEGWD.h	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 !  ATTENTION : ce fichier include est compatible format fixe/format libre
 !                 veillez  n'utiliser que des ! pour les commentaires
@@ -9,5 +9,5 @@
 !*    *COMMON* *YOEGWD* - PARAMETERS FOR GRAVITY WAVE DRAG CALCULATIONS
 !     -----------------------------------------------------------------
-!
+
       integer NKTOPG,NSTRA
       real GFRCRIT,GKWAKE,GRCRIT,GVCRIT,GKDRAG,GKLIFT
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/YOETHF.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/YOETHF.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/YOETHF.h	(revision 5099)
@@ -1,12 +1,12 @@
-!
+
 ! $Id$
-!
+
 !  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
 !                 veillez  n'utiliser que des ! pour les commentaires
 !                 et  bien positionner les & des lignes de continuation
 !                 (les placer en colonne 6 et en colonne 73)
-!
+
 !*    COMMON *YOETHF* DERIVED CONSTANTS SPECIFIC TO ECMWF THERMODYNAMICS
-!
+
 !     *R__ES*   *CONSTANTS USED FOR COMPUTATION OF SATURATION
 !                MIXING RATIO OVER LIQUID WATER(*R_LES*) OR
@@ -14,5 +14,5 @@
 !     *RVTMP2*  *RVTMP2=RCPV/RCPD-1.
 !     *RHOH2O*  *DENSITY OF LIQUID WATER.   (RATM/100.)
-!
+
       REAL R2ES, R3LES, R3IES, R4LES, R4IES, R5LES, R5IES
       REAL RVTMP2, RHOH2O
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST.h	(revision 5099)
@@ -1,11 +1,11 @@
-!
+
 ! $Header$
-!
+
 !  ATTENTION!!!!: ce fichier include est compatible format fixe/format libre
 !                 veillez à n'utiliser que des ! pour les commentaires
 !                 et à bien positionner les & des lignes de continuation
 !                 (les placer en colonne 6 et en colonne 73)
-!
-!
+
+
 ! A1.0 Fundamental constants
       REAL RPI,RCLUM,RHPLA,RKBOL,RNAVO
@@ -30,5 +30,5 @@
       REAL RESTT,RALPW,RBETW,RGAMW,RALPS,RBETS,RGAMS
       REAL RALPD,RBETD,RGAMD
-!
+
       COMMON/YOMCST/RPI   ,RCLUM ,RHPLA ,RKBOL ,RNAVO                   &
      &      ,RDAY  ,REA   ,REPSM ,RSIYEA,RSIDAY,ROMEGA                  &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST2.h
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST2.h	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/YOMCST2.h	(revision 5099)
@@ -4,5 +4,5 @@
       REAL  Qcoef1max,Qcoef2max,Supcrit1,Supcrit2
       REAL coef_clos_ls
-!
+
       COMMON/YOMCST2/gammas,    alphas, betas, Fmax, scut,              &
      &               qqa1, qqa2, qqa3,                                  &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/acama_gwd_rando_m.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 module ACAMA_GWD_rando_m
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/add_phys_tend_mod.F90	(revision 5099)
@@ -1,6 +1,6 @@
-!
+
 ! $Id$
-!
-!
+
+
 MODULE add_phys_tend_mod
 
@@ -83,7 +83,7 @@
   RETURN
 END SUBROUTINE add_pbl_tend
-!
+
 ! $Id: add_phys_tend.F90 2611 2016-08-03 15:41:26Z jyg $
-!
+
 SUBROUTINE add_phys_tend (zdu,zdv,zdt,zdq,zdql,zdqi,zdqbs,paprs,text, &
                           abortphy,flag_inhib_tend, itap, diag_mode)
@@ -123,5 +123,5 @@
 INTEGER,                        INTENT(IN)    :: diag_mode       ! 0 -> normal effective mode
                                                                  ! 1 -> only conservation stats are computed
-!
+
 REAL, DIMENSION(klon,klev),     INTENT(INOUT) :: zdq
 
@@ -138,5 +138,5 @@
 REAL, DIMENSION(klon,klev)   :: sav_t_seri
 REAL, DIMENSION(klon,klev)   :: sav_zdq
-!
+
 INTEGER i, k,j, n
 INTEGER jadrs(klon*klev), jbad
@@ -150,9 +150,8 @@
 LOGICAL, SAVE :: first=.true.
 !$OMP THREADPRIVATE(first)
-!
+
 !======================================================================
 ! Variables for energy conservation tests
 !======================================================================
-!
 
 ! zh_col-------  total enthalpy of vertical air column
@@ -168,5 +167,5 @@
 ! zqbs_col------  total mass of blowing snow (kg/m2)
 ! zek_col------  total kinetic energy (kg/m2)
-!
+
 REAL zairm(klon, klev) ! layer air mass (kg/m2)
 REAL zqw_col(klon,2)
@@ -205,5 +204,5 @@
      first=.false.
   ENDIF
-!
+
 !  print *,'add_phys_tend: paprs ',paprs
 ! When in diagnostic mode, save initial values of out variables
@@ -297,5 +296,5 @@
      ENDDO
   ENDIF
-!
+
 !=====================================================================================
 ! Impression, warning et correction en cas de probleme moins important
@@ -359,5 +358,4 @@
       ENDDO ! j = 1, jqbad
   ENDIF
-!
 
 !IM ajout memes tests pour reverifier les jbad, jqbad beg
@@ -400,5 +398,5 @@
       ENDDO
   ENDIF 
-!
+
   IF (jqbad > 0) THEN
       DO j = 1, jqbad
@@ -474,5 +472,5 @@
 
   ENDIF ! endif (fl_ebil .GT. 0)
-!
+
 ! When in diagnostic mode, restore "out" variables to initial values.
   IF (diag_mode == 1) THEN
@@ -527,5 +525,5 @@
 REAL, DIMENSION(nlon,nlev)      :: uu_n, vv_n
 REAL, DIMENSION(nlon,nlev)      :: temp_n, qv_n, ql_n, qs_n, qbs_n
-!
+
 INTEGER k, n
 
@@ -533,9 +531,8 @@
 LOGICAL, SAVE :: first=.true.
 !$OMP THREADPRIVATE(first)
-!
+
 !======================================================================
 ! Variables for energy conservation tests
 !======================================================================
-!
 
 ! zh_col-------  total enthalpy of vertical air column
@@ -550,5 +547,5 @@
 ! zqbs_col------  total mass of blowing snow (kg/m2)
 ! zek_col------  total kinetic energy (kg/m2)
-!
+
 REAL zairm(nlon, nlev) ! layer air mass (kg/m2)
 REAL zqw_col(nlon,2)
@@ -574,5 +571,5 @@
      first=.false.
   ENDIF
-!
+
 !  print *,'add_phys_tend: paprs ',paprs
 !======================================================================
@@ -650,5 +647,4 @@
 
   ENDIF ! endif (fl_ebil .GT. 0)
-!
 
   RETURN
@@ -795,5 +791,5 @@
   IF (abs(bilq_error) > bilq_seuil) bilq_ok=1
   IF (abs(bilh_error) > bilh_seuil) bilh_ok=1
-!
+
 ! Print diagnostics
 ! =================
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/aero_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/aero_mod.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/aero_mod.F90	(revision 5099)
@@ -1,4 +1,4 @@
 ! $Id$
-!
+
 MODULE aero_mod
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_2bands.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_2bands.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_2bands.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE AEROPT_2BANDS( &
      pdel, m_allaer, delt, RHcl, &
@@ -16,12 +16,11 @@
   !    Anne Cozic Avril 2009
   !    a partir d'une sous-routine de Johannes Quaas pour les sulfates
-  !
+
   IMPLICIT NONE
 
   INCLUDE "YOMCST.h"
 
-  !
   ! Input arguments:
-  !
+
   REAL, DIMENSION(klon,klev),     INTENT(in)  :: pdel
   REAL,                           INTENT(in)  :: delt
@@ -33,14 +32,13 @@
   REAL, DIMENSION(klon,klev),     INTENT(in)  :: t_seri
   REAL, DIMENSION(klev),          INTENT(in)  :: presnivs
-  !
+
   ! Output arguments:
-  !
+
   REAL, DIMENSION(klon,klev,naero_grp,nbands), INTENT(out) :: tau_allaer ! epaisseur optique aerosol
   REAL, DIMENSION(klon,klev,naero_grp,nbands), INTENT(out) :: piz_allaer ! single scattering albedo aerosol
   REAL, DIMENSION(klon,klev,naero_grp,nbands), INTENT(out) :: cg_allaer  ! asymmetry parameter aerosol
 
-  !
   ! Local
-  !
+
   REAL, DIMENSION(klon,klev,naero_tot,nbands) ::  tau_ae
   REAL, DIMENSION(klon,klev,naero_tot,nbands) ::  tau_ae_pi
@@ -130,7 +128,6 @@
   INTEGER :: nb_aer
 
-  !
   ! Proprietes optiques
-  !
+
   REAL:: alpha_aers_2bands(nbre_RH,nbands,naero_soluble)   !--unit m2/g SO4
   REAL:: alpha_aeri_2bands(nbands,naero_insoluble)
@@ -628,6 +625,4 @@
   ENDIF
 
-
-  !
   ! loop over modes, use of precalculated nmd and corresponding sigma
   !    loop over wavelengths
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_5wv.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_5wv.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/aeropt_5wv.F90	(revision 5099)
@@ -1,5 +1,4 @@
-!
+
 ! $Id$
-!
 
 SUBROUTINE AEROPT_5WV(&
@@ -14,44 +13,43 @@
   USE pres2lev_mod
 
-  !
   !    Yves Balkanski le 12 avril 2006
   !    Celine Deandreis
   !    Anne Cozic  Avril 2009
   !    a partir d'une sous-routine de Johannes Quaas pour les sulfates
-  !
-  !
+
+
   ! Refractive indices for seasalt come from Shettle and Fenn (1979)
-  !
+
   ! Refractive indices from water come from Hale and Querry (1973)
-  !
+
   ! Refractive indices from Ammonium Sulfate Toon and Pollack (1976)
-  !
+
   ! Refractive indices for Dust, internal mixture of minerals coated with 1.5% hematite 
   ! by Volume (Balkanski et al., 2006)
-  !
+
   ! Refractive indices for POM: Kinne (pers. Communication 
-  !
+
   ! Refractive index for BC from Shettle and Fenn (1979)
-  !
+
   ! Shettle, E. P., & Fenn, R. W. (1979), Models for the aerosols of the lower atmosphere and 
   ! the effects of humidity variations on their optical properties, U.S. Air Force Geophysics 
   ! Laboratory Rept. AFGL-TR-79-0214, Hanscomb Air Force Base, MA.
-  !
+
   ! Hale, G. M. and M. R. Querry, Optical constants of water in the 200-nm to 200-m 
   ! wavelength region, Appl. Opt., 12, 555-563, 1973.
-  !
+
   ! Toon, O. B. and J. B. Pollack, The optical constants of several atmospheric aerosol species:
   ! Ammonium sulfate, aluminum oxide, and sodium chloride, J. Geohys. Res., 81, 5733-5748,
   ! 1976.
-  !
+
   ! Balkanski, Y., M. Schulz, T. Claquin And O. Boucher, Reevaluation of mineral aerosol 
   ! radiative forcings suggests a better agreement with satellite and AERONET data, Atmospheric 
   ! Chemistry and Physics Discussions., 6, pp 8383-8419, 2006.
-  !
+
   IMPLICIT NONE
   INCLUDE "YOMCST.h"
-  !
+
   ! Input arguments:
-  !
+
   REAL, DIMENSION(klon,klev), INTENT(in)   :: pdel
   REAL, INTENT(in)                         :: delt
@@ -62,13 +60,13 @@
   REAL, DIMENSION(klon,klev), INTENT(in)   :: t_seri
   REAL, DIMENSION(klev),      INTENT(in)   :: presnivs
-  !
+
   ! Output arguments:
-  !
+
   REAL, DIMENSION(klon), INTENT(out)          :: ai      ! POLDER aerosol index
   REAL, DIMENSION(klon,nwave,naero_tot), INTENT(out)      :: tausum
   REAL, DIMENSION(klon,klev,nwave,naero_tot), INTENT(out) :: tau
-  !
+
   ! Local
-  !
+
   INTEGER, PARAMETER :: las = nwave_sw
   LOGICAL :: soluble
@@ -150,7 +148,7 @@
    !  1- BC soluble; 2- POM soluble; 3- SO4 acc.; 4- SO4 coarse; 5 seasalt super-C; 6 seasalt coarse; 7 seasalt acc.
   REAL :: piz_aeri_5wv(las,naero_insoluble)           ! Insoluble comp. 1- Dust: 2- BC; 3- POM
-  !
+
   ! Proprietes optiques
-  !
+
   REAL :: fact_RH(nbre_RH)
   LOGICAL :: used_tau(naero_spc)
@@ -292,10 +290,10 @@
                  5.358E-02,  5.705E-02,  5.887E-02/
 !*********************************************************************
-!
-! 
+
+
 ! From here on we look at the optical parameters at 5 wavelengths:  
 ! 443nm, 550, 670, 765 and 865 nm 
 !                                   le 12 AVRIL 2006 
-!  
+
  DATA alpha_aers_5wv/ & 
                                 ! bc soluble 
@@ -384,5 +382,5 @@
                                  ! pom insoluble 
         5.042, 3.101, 1.890, 1.294, 0.934/ 
-   ! 
+
   DATA cg_aers_5wv/ &  
                                  ! bc soluble 
@@ -463,5 +461,5 @@
       0.605,0.644,0.656,0.669,0.681,0.729, &  
       0.737,0.750,0.765,0.775,0.787,0.803/
- !
+
   DATA cg_aeri_5wv/&
      ! dust insoluble
@@ -471,5 +469,5 @@
      !c pom insoluble
      0.596, 0.536, 0.466, 0.409, 0.359/
-  !
+
   DATA piz_aers_5wv/&
                            ! bc soluble 
@@ -551,5 +549,4 @@
   1.000,1.000,1.000,1.000,1.000,1.000/ 
 
- !
   DATA piz_aeri_5wv/&
      ! dust insoluble
@@ -653,5 +650,4 @@
   ENDIF
 
-  ! 
   ! loop over modes, use of precalculated nmd and corresponding sigma
   !    loop over wavelengths
@@ -659,8 +655,6 @@
   !      interpolate from Sext to retrieve Sext_at_gridpoint_per_species
   !      compute optical_thickness_at_gridpoint_per_species
-  
-  !
+
   ! Calculations that need to be done since we are not in the subroutines INCA
-  !      
 
   DO n=1,nbre_RH-1
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/albsno.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/albsno.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/albsno.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 SUBROUTINE albsno(klon, knon, dtime, agesno, alb_neig_grid, precip_snow)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/alpale.F90	(revision 5099)
@@ -19,5 +19,5 @@
   USE print_control_mod, ONLY: mydebug=>debug , lunout, prt_level
   USE phys_local_var_mod, ONLY: zw2       ! Variables internes non sauvegardees de la physique
-!
+
   IMPLICIT NONE
 
@@ -67,10 +67,10 @@
        ! disponible ALP (W/m2) pour le soulevement des particules dans
        ! le modele convectif
-       !
+
        do i = 1,klon
           ALE(i) = 0.
           ALP(i) = 0.
        enddo
-       !
+
        !calcul de ale_wake et alp_wake
        if (iflag_wake>=1) then
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_th.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE alpale_th ( dtime, lmax_th, t_seri, cell_area,  &
                        cin, s2, n2, strig,  &
@@ -20,5 +20,5 @@
   USE ioipsl_getin_p_mod, ONLY : getin_p
   USE print_control_mod, ONLY: mydebug=>debug , lunout, prt_level
-!
+
   IMPLICIT NONE
 
@@ -59,13 +59,13 @@
   REAL, DIMENSION(klon)                                      :: ale_bl_ref
   REAL, DIMENSION(klon)                                      :: tau_trig
-!
+
     !$OMP THREADPRIVATE(multiply_proba_notrig) 
     !$OMP THREADPRIVATE(random_notrig_max) 
     !$OMP THREADPRIVATE(cv_feed_area) 
     !$OMP THREADPRIVATE(first)
-!
+
  REAL umexp  ! expression of (1.-exp(-x))/x valid for all x, especially when x->0
  REAL x
-!
+
      CHARACTER (LEN=20) :: modname='alpale_th'
      CHARACTER (LEN=80) :: abort_message
@@ -75,5 +75,5 @@
 !!!            (1.-max(sign(1.,x-1.e-3),0.))*(-0.5*x*(1.-x/3.*(1.-0.25*x))) !!! bug introduced by mistake  (jyg)
 !!!            (1.-max(sign(1.,x-1.e-3),0.))*(1.-0.5*x*(1.-x/3.*(1.-0.25*x)))  !!! initial correct formula (jyg)
-!
+
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 !  JYG, 20160513 : Introduction of the Effective Lifting Power (ELP), which 
@@ -83,7 +83,6 @@
 ! zero. It is activated by iflag_clos_bl = 3.
 !   The ELP values are stored in the ALP_bl variable.
-!   
+
 !+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
-!
 
     IF (first) THEN
@@ -122,5 +121,5 @@
   IF (iflag_clos_bl < 3) THEN
 !---------------------------------------
-!
+
 !      Original code (Nicolas Rochetin)
 !     --------------------------------
@@ -128,5 +127,5 @@
           !-----------Stochastic triggering-----------
           if (iflag_trig_bl>=1) then
-             !
+
              IF (prt_level >= 10) THEN
                 WRITE(lunout,*)'cin, ale_bl_stat, alp_bl, alp_bl_stat ', &
@@ -146,5 +145,5 @@
                 endif
              enddo
-             !
+
              IF (prt_level >= 10) THEN
                 WRITE(lunout,*)'random_notrig, tau_trig ', &
@@ -202,5 +201,4 @@
              ENDIF
 
-             !
              IF (prt_level >= 10) THEN
                 WRITE(lunout,*)'proba_notrig, ale_bl_trig ', &
@@ -233,9 +231,8 @@
           endif !(iflag_clos_bl)
 
-!
 !---------------------------------------
   ELSEIF (iflag_clos_bl == 3) THEN  ! (iflag_clos_bl .LT. 3)
 !---------------------------------------
-!
+
 !      New code with Effective Lifting Power
 !     -------------------------------------
@@ -243,5 +240,5 @@
           !-----------Stochastic triggering-----------
      if (iflag_trig_bl>=1) then
-        !
+
         IF (prt_level >= 10) THEN
            WRITE(lunout,*)'cin, ale_bl_stat, alp_bl_stat ', &
@@ -272,5 +269,5 @@
            endif
         enddo
-        !
+
         IF (prt_level >= 10) THEN
            WRITE(lunout,*)'random_notrig, tau_trig ', &
@@ -308,5 +305,4 @@
          enddo
 
-        !
         IF (prt_level >= 10) THEN
            WRITE(lunout,*)'proba_notrig, ale_bl_trig ', &
@@ -326,5 +322,5 @@
 
           !cc fin nrlmd le 10/04/2012
-!
+
           !IM/FH: 2011/02/23 
           ! Couplage Thermiques/Emanuel seulement si T<0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_wk.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_wk.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/alpale_wk.F90	(revision 5099)
@@ -14,5 +14,5 @@
   USE ioipsl_getin_p_mod, ONLY : getin_p
   USE print_control_mod, ONLY: mydebug=>debug , lunout, prt_level
-!
+
   IMPLICIT NONE
 
@@ -71,5 +71,5 @@
   proba_gf(:) = 1. - exp(-wdens(:)*rpi*((wkrad(:)+cellrad(:))**2 - &
                                         max(wkrad(:)-cellrad(:),0.)**2) )
-!
+
   proba_gf(:) = max(proba_gf(:),1.e-3)
 !  Compute Fip conditionned on the presence of some gust front within the 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/atm2geo.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Id$
-!
+
 SUBROUTINE atm2geo ( im, jm, pte, ptn, plon, plat, pxx, pyy, pzz )
   USE dimphy
@@ -13,7 +13,6 @@
   CHARACTER (len = 80)               :: abort_message
 
-!
 ! Change wind local atmospheric coordinates to geocentric
-!
+
 ! Geocentric :
 ! axe x is eastward : crosses (0 N, 0 E) point.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cal_tools_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cal_tools_m.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cal_tools_m.F90	(revision 5099)
@@ -7,7 +7,7 @@
 
 !-------------------------------------------------------------------------------
-!
+
 FUNCTION year_len(y,cal_in)
-!
+
 !-------------------------------------------------------------------------------
   IMPLICIT NONE
@@ -37,12 +37,12 @@
 
 END FUNCTION year_len
-!
+
 !-------------------------------------------------------------------------------
 
 
 !-------------------------------------------------------------------------------
-!
+
 FUNCTION mid_month(y,cal_in)
-!
+
 !-------------------------------------------------------------------------------
   IMPLICIT NONE
@@ -80,10 +80,10 @@
 
 END FUNCTION mid_month
-!
+
 !-------------------------------------------------------------------------------
 
 
 END MODULE cal_tools_m
-!
+
 !*******************************************************************************
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta.F90	(revision 5099)
@@ -1,5 +1,5 @@
-!
+
 ! $Header$
-!
+
 SUBROUTINE calbeta(dtime,indice,knon,snow,qsol, &
      vbeta,vcal,vdif)
@@ -16,5 +16,5 @@
 ! date: 19940414
 !======================================================================
-!
+
 ! Calculer quelques parametres pour appliquer la couche limite
 ! ------------------------------------------------------------ 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5098)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/calbeta_clim.F90	(revision 5099)
@@ -1,6 +1,5 @@
-!
+
 ! $Header: /home/cvsroot/LMDZ4/libf/phylmd/calbeta.F90,v 1.2 2007/06/22 12:49:51
 ! fairhead Exp $
-!
 
 SUBROUTINE calbeta_clim(klon,time,lat_radian,beta)
